in

Como atualizar o jQuery para a versão mais recente no WordPress

Como atualizar o jQuery para a versão mais recente no WordPress

A versão do jQuery em execução no seu site WordPress está atualizada?

O design e os plugins, bem como o próprio WordPress, são baseados em jQuery. Uma versão desatualizada pode colocar seu site em risco.

Neste artigo, mostraremos como atualizar o jQuery para a versão mais recente no WordPress.

Por que atualizar o jQuery para a versão mais recente no WordPress?

Seu site WordPress, como muitos plugins e temas que você usa, depende de JavaScript combinado com jQuery para criar recursos rápidos, interativos e bonitos.

É importante manter o jQuery atualizado para manter seu site seguro. A versão mais recente corrige bugs e vulnerabilidades em versões anteriores que podem comprometer seu site.

Se você estiver usando a versão mais recente do WordPress, não precisará atualizar o jQuery manualmente. Isso será feito para você automaticamente. No entanto, se você estiver usando uma versão mais antiga do WordPress, por exemplo, B. WordPress 5.4 ou anterior, uma atualização é recomendada.

Mesmo que você tenha substituído o jQuery padrão do WordPress pela biblioteca do Google, ele não será atualizado automaticamente para a versão mais recente.

Nota dos editores: É importante observar que a atualização do jQuery pode quebrar a funcionalidade do plug-in mais antigo, portanto, você deve testar seu site após a atualização. Na maioria dos casos, isso não é um problema, mas se você tiver problemas, pode simplesmente reverter para a versão mais antiga.

Vamos dar uma olhada em como atualizar o jQuery para a versão mais recente no WordPress. Aqui está o que é bem abordado neste tutorial:

  • Como determinar se sua versão do jQuery está desatualizada
  • Método 1: atualizar o jQuery para a versão estável mais recente
  • Método 2: Controlar a versão do jQuery que é executada em seu site
Leia Também  12 melhores plugins de funil de vendas WooCommerce para aumentar suas conversões

Como determinar se sua versão do jQuery está desatualizada

Você pode encontrar facilmente a versão do jQuery que seu site está executando usando o console Javascript em seu navegador da web.

Primeiro, você precisará visitar seu site e abrir o console JavaScript. Se você estiver usando o Google Chrome, poderá fazer isso selecionando Ferramentas do Desenvolvedor » Console no menu.

Em seguida, você deve colar o seguinte comando no console:

jQuery.fn.jquery

Este comando exibirá a versão do jQuery que seu site está executando.

Esperamos que você veja pelo menos a versão 3.5.1 ou superior. Se o seu site estiver executando uma versão que começa com 1.7 ou inferior, você definitivamente deve atualizar.

Método 1: atualizar o jQuery para a versão estável mais recente

O plugin jQuery Updater atualiza o jQuery para a versão estável oficial mais recente. Provavelmente é mais atual do que a versão que vem com o WordPress.

Primeiro você precisa instalar e ativar o plugin jQuery Updater. Confira nosso guia passo a passo para instalar um plugin no WordPress para obter mais detalhes.

Uma vez ativado, seu site estará executando a versão mais recente do jQuery. No entanto, antes de ver a alteração, talvez seja necessário limpar o cache do navegador e o cache do WordPress.

O plug-in inclui o script jQuery Migrate para oferecer suporte à compatibilidade com versões anteriores. No entanto, se você achar que está tendo problemas com alguns de seus plugins, você pode simplesmente desabilitar o plugin jQuery Updater para restaurar seu site ao seu estado original.

Método 2: Controlar a versão do jQuery que é executada em seu site

O plugin de controle de versão para jQuery permite que você controle a versão do jQuery em execução em seu site. Isso permite que os usuários do WordPress executem um site WordPress estável e os desenvolvedores do WordPress verifiquem se seu código funciona com várias versões do jQuery.

Leia Também  Como deletar posts wordpress em massa

Para começar, você precisa instalar e ativar o plugin jQuery Updater. Se precisar de ajuda, leia nosso guia passo a passo para instalar um plugin no WordPress.

Uma vez ativado, o plug-in usa o jQuery de pré-lançamento mais recente por padrão. Ele também instala o script jQuery Migrate para oferecer suporte à compatibilidade com versões anteriores.

Se precisar, você pode selecionar uma versão diferente do jQuery visitando a página Configurações » jQuery Version Control .

A partir daqui, você pode escolher as versões do jQuery e do jQuery Migrate que deseja executar em seu site. Certifique-se de clicar no botão Salvar alterações para salvar suas configurações.

Se a versão atualizada do jQuery quebrar alguns de seus plugins mais antigos, você pode simplesmente selecionar uma versão anterior no menu suspenso. Como alternativa, se você desabilitar o plugin Version Control for jQuery, seu site voltará ao estado original.

Esperamos que este tutorial tenha ajudado você a atualizar o jQuery para a versão mais recente do WordPress. Você também pode querer aprender como aumentar o tráfego do seu blog.

O que achou da postagem?

Comentários

Deixe um comentário

O seu endereço de e-mail não será publicado.

GIPHY App Key not set. Please check settings

    Loading…

    Como ganhar dinheiro na Internet de forma honesta e comprovada 2022

    Como remover conta do Google e desbloquear o celular